package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciInveMapper;
import com.goldenwater.slaj.acci.domain.BisAcciInve;
import com.goldenwater.slaj.acci.service.IBisAcciInveService;

/**
 * 事故调查 服务层实现
 */
@Service
public class BisAcciInveServiceImpl implements IBisAcciInveService {

    @Autowired
    private BisAcciInveMapper bisAcciInveMapper;

    /**
     * 查询事故调查信息
     * @param guid 查询条件
     * @return 事故调查信息
     */
    @Override
    public BisAcciInve selectBisAcciInveByGuid(String guid) {
        return bisAcciInveMapper.selectBisAcciInveByGuid(guid);
    }

    /**
     * 查询事故调查列表
     * @param bisAcciInve 事故调查查询条件
     * @return 事故调查集合
     */
    @Override
    public List<BisAcciInve> selectBisAcciInveList(BisAcciInve bisAcciInve) {
        return bisAcciInveMapper.selectBisAcciInveList(bisAcciInve);
    }

    /**
     * 新增事故调查
     * @param bisAcciInve 事故调查信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciInve(BisAcciInve bisAcciInve) {
        return bisAcciInveMapper.insertBisAcciInve(bisAcciInve);
    }

    /**
     * 修改事故调查
     * @param bisAcciInve 事故调查信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciInve(BisAcciInve bisAcciInve) {
        return bisAcciInveMapper.updateBisAcciInve(bisAcciInve);
    }

    /**
     * 删除事故调查
     * @param guid 事故调查主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciInveByGuid(String guid) {
        return bisAcciInveMapper.deleteBisAcciInveByGuid(guid);
    }

    /**
     * 批量删除事故调查
     * @param guids 事故调查主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciInveByGuids(String[] guids) {
        return bisAcciInveMapper.deleteBisAcciInveByGuids(guids);
    }
}
